locked
VS2012/Updt 5 + TFS (SQL2005) + TeamExplorer for VS2012 : Incompatible Versions of SSDT & Runtime Components RRS feed

  • Question

  • Current Environment : Visual Studio Pro 2012 Update 5 (v11.0.61219.00) with SQL Server Data Tools (v11.1.20627.00) and Team Explorer for VS2012 attaching to a Team Foundation Server

    Issue:  I am able to open VS2012, and connect to the TFS environment, however when I go to open a package I get a message "Incompatible versions of SQL Server Data Tools and database runtime components are installed on this computer".

    The only reference material has suggested I upgrade to VS2015, which will not connect to my TFS repository (SQL2005).  I understand that there is an incompatible version, but I need to know how to get the compatibility working - not just upgrade to a version that won't support the rest of my environment. 

    It doesn't help to state that SQL2005 is out of support, it is still what I have to work with.  Where can I find the versions of SSDT and database runtime components that ARE compatible?

    Wednesday, October 5, 2016 12:26 AM

Answers